

libname t '~/folders/myfolders/';
data wtsbp;
 set t.tomhss (keep=ptid group age sex marital wtbl wt12 sbpbl sbp12);
 wtdif = wt12 - wtbl;
 sbpdif = sbp12 - sbpbl;
 if group = 6 then active = 2; else active = 1;
run;
proc means ;
run;
proc means ;
 class active;
 var sbpdif;
run;
proc ttest ;
 class active;
 var sbpdif;
run;
proc univariate ;
 var wtdif;
run;
proc freq; tables sex*marital/chisq;
proc sgplot ;
 hbox wtdif/category=sex;
run;

* Part 2;

data ageincome;
 set t.tomhss (keep=ptid age sex income);

 if age = . then agecat = . ; else
 if age < 50 then agecat = 1; else
 if age < 55 then agecat = 2; else
 if age < 60 then agecat = 3; else
 if age < 65 then agecat = 4; else
 if age >=65 then agecat = 5;

 if income in(1,2,3,4) then inccat = 1; else
 if income in(5,6,7,8) then inccat = 2; 
run;

proc freq;
 tables agecat inccat;
run;
proc freq;
 tables sex*inccat;
run;














